Package io.vertx.rxjava3.ext.web.handler.graphql

## Class GraphQLHandler

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.graphql.GraphQLHandler

- All Implemented Interfaces:
    `Handler<RoutingContext>`, `io.vertx.lang.rx.RxDelegate`

      public class GraphQLHandler
      extends Object
      implements io.vertx.lang.rx.RxDelegate, Handler<RoutingContext>

  A `Route` handler for GraphQL requests.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<GraphQLHandler>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GraphQLHandler​(GraphQLHandler delegate)` |
    `GraphQLHandler​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GraphQLHandlerBuilder` | `builder​(graphql.GraphQL graphQL)` | Create a new `GraphQLHandlerBuilder` that will use the provided `graphQL` to build a `GraphQLHandler`.
    `static GraphQLHandler` | `create​(graphql.GraphQL graphQL)` | Create a new `GraphQLHandler` that will use the provided `graphQL` object to execute queries.
    `static GraphQLHandler` | `create​(graphql.GraphQL graphQL, GraphQLHandlerOptions options)` | Create a new `GraphQLHandler` that will use the provided `graphQL` object to execute queries.
    `boolean` | `equals​(Object o)` |
    `GraphQLHandler` | `getDelegate()` |
    `void` | `handle​(RoutingContext event)` | Something has happened, so handle it.
    `int` | `hashCode()` |
    `static GraphQLHandler` | `newInstance​(GraphQLHandler arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<GraphQLHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### GraphQLHandler

          public GraphQLHandler​(GraphQLHandler delegate)

    - #### GraphQLHandler

          public GraphQLHandler​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public GraphQLHandler getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### handle

          public void handle​(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### create

          public static GraphQLHandler create​(graphql.GraphQL graphQL)

      Create a new `GraphQLHandler` that will use the provided `graphQL` object to execute queries.

      The handler will be configured with default `GraphQLHandlerOptions`.

      Parameters:
        `graphQL` -
      Returns:

    - #### create

          public static GraphQLHandler create​(graphql.GraphQL graphQL,
                                              GraphQLHandlerOptions options)

      Create a new `GraphQLHandler` that will use the provided `graphQL` object to execute queries.

      The handler will be configured with the given `options`.

      Parameters:
        `graphQL` -
        `options` - options for configuring the `GraphQLHandler`
      Returns:

    - #### builder

          public static GraphQLHandlerBuilder builder​(graphql.GraphQL graphQL)

      Create a new `GraphQLHandlerBuilder` that will use the provided `graphQL` to build a `GraphQLHandler`.

      The handler will be configured with default `GraphQLHandlerOptions`.

      Parameters:
        `graphQL` -
      Returns:

    - #### newInstance

          public static GraphQLHandler newInstance​(GraphQLHandler arg)